Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to 'extraplugins/facade')
-rw-r--r--extraplugins/facade/org.eclipse.papyrus.facade.codegen/META-INF/MANIFEST.MF21
-rw-r--r--extraplugins/facade/org.eclipse.papyrus.facade.definition.editor/META-INF/MANIFEST.MF19
-rw-r--r--extraplugins/facade/org.eclipse.papyrus.facade.edit/META-INF/MANIFEST.MF18
-rw-r--r--extraplugins/facade/org.eclipse.papyrus.facade.editor/META-INF/MANIFEST.MF18
-rw-r--r--extraplugins/facade/org.eclipse.papyrus.facade.utils/META-INF/MANIFEST.MF12
-rw-r--r--extraplugins/facade/org.eclipse.papyrus.facade/META-INF/MANIFEST.MF27
6 files changed, 51 insertions, 64 deletions
diff --git a/extraplugins/facade/org.eclipse.papyrus.facade.codegen/META-INF/MANIFEST.MF b/extraplugins/facade/org.eclipse.papyrus.facade.codegen/META-INF/MANIFEST.MF
index d828750fcea..8fb67e0c0cd 100644
--- a/extraplugins/facade/org.eclipse.papyrus.facade.codegen/META-INF/MANIFEST.MF
+++ b/extraplugins/facade/org.eclipse.papyrus.facade.codegen/META-INF/MANIFEST.MF
@@ -1,6 +1,4 @@
Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.facade.codegen.genfacade,
- org.eclipse.papyrus.facade.codegen.utils
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.emf.eef.codegen.launcher,
@@ -9,20 +7,19 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.emf.codegen.ecore,
org.eclipse.acceleo.engine,
org.eclipse.emf.eef.codegen.ecore;bundle-version="1.2.0",
- org.eclipse.papyrus.facade;bundle-version="1.0.1",
+ org.eclipse.papyrus.facade;bundle-version="1.0.2",
org.eclipse.uml2.codegen.ecore;bundle-version="1.9.0",
org.eclipse.uml2.uml;bundle-version="4.1.0",
- org.eclipse.papyrus.facade.utils;bundle-version="1.0.1",
- org.eclipse.papyrus.infra.core.log;bundle-version="1.0.1"
+ org.eclipse.papyrus.facade.utils;bundle-version="1.0.2",
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.0.2"
+Export-Package: org.eclipse.papyrus.facade.codegen.genfacade,
+ org.eclipse.papyrus.facade.codegen.utils
Bundle-Vendor: %vendorName
Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.0.1.qualifier
-Bundle-Localization: plugin
+Bundle-Version: 1.0.2.qualifier
Bundle-Name: %pluginName
-Bundle-Activator: org.eclipse.papyrus.facade.codegen.FacadeCodeGenPlug
- in
+Bundle-Localization: plugin
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.facade.codegen;singleton:=tru
- e
+Bundle-Activator: org.eclipse.papyrus.facade.codegen.FacadeCodeGenPlugin
+Bundle-SymbolicName: org.eclipse.papyrus.facade.codegen;singleton:=true
Bundle-RequiredExecutionEnvironment: JavaSE-1.7
-
diff --git a/extraplugins/facade/org.eclipse.papyrus.facade.definition.editor/META-INF/MANIFEST.MF b/extraplugins/facade/org.eclipse.papyrus.facade.definition.editor/META-INF/MANIFEST.MF
index e186f09171b..f4fe0c82167 100644
--- a/extraplugins/facade/org.eclipse.papyrus.facade.definition.editor/META-INF/MANIFEST.MF
+++ b/extraplugins/facade/org.eclipse.papyrus.facade.definition.editor/META-INF/MANIFEST.MF
@@ -5,18 +5,15 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.ui.editors,
org.eclipse.uml2;bundle-version="3.2.0",
org.eclipse.uml2.uml;bundle-version="4.1.0",
- org.eclipse.papyrus.facade.editor;bundle-version="1.0.1",
- org.eclipse.papyrus.uml.extensionpoints;bundle-version="1.0.1",
- org.eclipse.papyrus.infra.core.log;bundle-version="1.0.1",
- org.eclipse.papyrus.facade.utils;bundle-version="1.0.1",
- org.eclipse.papyrus.infra.widgets;bundle-version="1.0.1"
+ org.eclipse.papyrus.facade.editor;bundle-version="1.0.2",
+ org.eclipse.papyrus.uml.extensionpoints;bundle-version="1.0.2",
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.0.2",
+ org.eclipse.papyrus.facade.utils;bundle-version="1.0.2",
+ org.eclipse.papyrus.infra.widgets;bundle-version="1.0.2"
Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.0.1.qualifier
+Bundle-Version: 1.0.2.qualifier
Bundle-Name: FacadeSepcificEditor
-Bundle-Activator: org.eclipse.papyrus.facadeSpecificEditor.FacadeDefin
- itionEditorActivator
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.facade.definition.editor;sing
- leton:=true
+Bundle-Activator: org.eclipse.papyrus.facadeSpecificEditor.FacadeDefinitionEditorActivator
+Bundle-SymbolicName: org.eclipse.papyrus.facade.definition.editor;singleton:=true
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-
diff --git a/extraplugins/facade/org.eclipse.papyrus.facade.edit/META-INF/MANIFEST.MF b/extraplugins/facade/org.eclipse.papyrus.facade.edit/META-INF/MANIFEST.MF
index 9f957523c05..13c15fbf765 100644
--- a/extraplugins/facade/org.eclipse.papyrus.facade.edit/META-INF/MANIFEST.MF
+++ b/extraplugins/facade/org.eclipse.papyrus.facade.edit/META-INF/MANIFEST.MF
@@ -1,25 +1,23 @@
Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.facade.extensiondefinition.provider,
+ org.eclipse.papyrus.facade.provider,
+ org.eclipse.papyrus.facade.virtualmetamodel.provider,
+ org.eclipse.papyrus.facademapping.provider
Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.papyrus.facade;bundle-version="1.0.1";visibility:=reexport,
+ org.eclipse.papyrus.facade;bundle-version="1.0.2";visibility:=reexport,
org.eclipse.emf.edit;visibility:=reexport,
org.eclipse.emf.ecore;visibility:=reexport,
org.eclipse.emf.ecore.edit;visibility:=reexport,
org.eclipse.uml2.types;visibility:=reexport,
org.eclipse.uml2.uml;visibility:=reexport,
org.eclipse.uml2.uml.edit;visibility:=reexport
-Export-Package: org.eclipse.papyrus.facade.extensiondefinition.provider,
- org.eclipse.papyrus.facade.provider,
- org.eclipse.papyrus.facade.virtualmetamodel.provider,
- org.eclipse.papyrus.facademapping.provider
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .
-Bundle-Version: 1.0.1.qualifier
-Bundle-Localization: plugin
+Bundle-Version: 1.0.2.qualifier
Bundle-Name: %pluginName
-Bundle-Activator: org.eclipse.papyrus.facade.provider.FacadeEditPlugin
- $Implementation
+Bundle-Localization: plugin
Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.facade.provider.FacadeEditPlugin$Implementation
Bundle-SymbolicName: org.eclipse.papyrus.facade.edit;singleton:=true
Bundle-RequiredExecutionEnvironment: JavaSE-1.7
-
diff --git a/extraplugins/facade/org.eclipse.papyrus.facade.editor/META-INF/MANIFEST.MF b/extraplugins/facade/org.eclipse.papyrus.facade.editor/META-INF/MANIFEST.MF
index 74be0e80596..21846d629db 100644
--- a/extraplugins/facade/org.eclipse.papyrus.facade.editor/META-INF/MANIFEST.MF
+++ b/extraplugins/facade/org.eclipse.papyrus.facade.editor/META-INF/MANIFEST.MF
@@ -1,25 +1,23 @@
Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.facade.extensiondefinition.presentation,
+ org.eclipse.papyrus.facade.presentation,
+ org.eclipse.papyrus.facade.virtualmetamodel.presentation,
+ org.eclipse.papyrus.facademapping.presentation
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.core.resources;visibility:=reexport,
- org.eclipse.papyrus.facade.edit;bundle-version="1.0.1";visibility:=reexport,
+ org.eclipse.papyrus.facade.edit;bundle-version="1.0.2";visibility:=reexport,
org.eclipse.emf.ecore.xmi;visibility:=reexport,
org.eclipse.emf.edit.ui;visibility:=reexport,
org.eclipse.ui.ide;visibility:=reexport,
org.eclipse.emf.ecore.edit;visibility:=reexport,
org.eclipse.uml2.uml.edit;visibility:=reexport
-Export-Package: org.eclipse.papyrus.facade.extensiondefinition.presentation,
- org.eclipse.papyrus.facade.presentation,
- org.eclipse.papyrus.facade.virtualmetamodel.presentation,
- org.eclipse.papyrus.facademapping.presentation
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .
-Bundle-Version: 1.0.1.qualifier
-Bundle-Localization: plugin
+Bundle-Version: 1.0.2.qualifier
Bundle-Name: %pluginName
-Bundle-Activator: org.eclipse.papyrus.facade.presentation.FacadeEditor
- Plugin$Implementation
+Bundle-Localization: plugin
Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.facade.presentation.FacadeEditorPlugin$Implementation
Bundle-SymbolicName: org.eclipse.papyrus.facade.editor;singleton:=true
Bundle-RequiredExecutionEnvironment: JavaSE-1.7
-
diff --git a/extraplugins/facade/org.eclipse.papyrus.facade.utils/META-INF/MANIFEST.MF b/extraplugins/facade/org.eclipse.papyrus.facade.utils/META-INF/MANIFEST.MF
index 0c5783a01cb..24cb590dc3b 100644
--- a/extraplugins/facade/org.eclipse.papyrus.facade.utils/META-INF/MANIFEST.MF
+++ b/extraplugins/facade/org.eclipse.papyrus.facade.utils/META-INF/MANIFEST.MF
@@ -1,17 +1,15 @@
Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.facade.utils,
- org.eclipse.papyrus.facade.utils.wrappinglist,
- org.eclipse.papyrus.facade.utils.wrappinglist.subset
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.emf.ecore;bundle-version="2.9.0",
org.eclipse.uml2.uml;bundle-version="4.1.0",
org.eclipse.emf.common
+Export-Package: org.eclipse.papyrus.facade.utils,
+ org.eclipse.papyrus.facade.utils.wrappinglist,
+ org.eclipse.papyrus.facade.utils.wrappinglist.subset
Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.0.1.qualifier
+Bundle-Version: 1.0.2.qualifier
Bundle-Name: Utils
-Bundle-Activator: org.eclipse.papyrus.facade.utils.FacadeUtilsActivato
- r
Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.facade.utils.FacadeUtilsActivator
Bundle-SymbolicName: org.eclipse.papyrus.facade.utils
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-
diff --git a/extraplugins/facade/org.eclipse.papyrus.facade/META-INF/MANIFEST.MF b/extraplugins/facade/org.eclipse.papyrus.facade/META-INF/MANIFEST.MF
index 36bdfd46b45..7ba179cf3b4 100644
--- a/extraplugins/facade/org.eclipse.papyrus.facade/META-INF/MANIFEST.MF
+++ b/extraplugins/facade/org.eclipse.papyrus.facade/META-INF/MANIFEST.MF
@@ -1,4 +1,14 @@
Manifest-Version: 1.0
+Require-Bundle: org.eclipse.core.runtime,
+ org.eclipse.emf.ecore;visibility:=reexport,
+ org.eclipse.emf.ecore.xmi;visibility:=reexport,
+ org.eclipse.uml2;bundle-version="3.2.0",
+ org.eclipse.uml2.uml;bundle-version="4.1.0",
+ org.eclipse.uml2.types;visibility:=reexport,
+ org.eclipse.ui;bundle-version="3.105.0",
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.0.2",
+ org.eclipse.papyrus.infra.onefile;bundle-version="1.0.2",
+ org.eclipse.papyrus.uml.tools.utils;bundle-version="1.0.2"
Export-Package: org.eclipse.papyrus.facade,
org.eclipse.papyrus.facade.extensiondefinition,
org.eclipse.papyrus.facade.extensiondefinition.impl,
@@ -11,24 +21,13 @@ Export-Package: org.eclipse.papyrus.facade,
org.eclipse.papyrus.facademapping,
org.eclipse.papyrus.facademapping.impl,
org.eclipse.papyrus.facademapping.util
-Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.emf.ecore;visibility:=reexport,
- org.eclipse.emf.ecore.xmi;visibility:=reexport,
- org.eclipse.uml2;bundle-version="3.2.0",
- org.eclipse.uml2.uml;bundle-version="4.1.0",
- org.eclipse.uml2.types;visibility:=reexport,
- org.eclipse.ui;bundle-version="3.105.0",
- org.eclipse.papyrus.infra.core.log;bundle-version="1.0.1",
- org.eclipse.papyrus.infra.onefile;bundle-version="1.0.1",
- org.eclipse.papyrus.uml.tools.utils;bundle-version="1.0.1"
Bundle-Vendor: %vendorName
Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .
-Bundle-Version: 1.0.1.qualifier
-Bundle-Name: %pluginName
+Bundle-Version: 1.0.2.qualifier
Bundle-Localization: plugin
-Bundle-Activator: org.eclipse.papyrus.facade.FacadeActivator
+Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.facade.FacadeActivator
Bundle-SymbolicName: org.eclipse.papyrus.facade;singleton:=true
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-

Back to the top